import React from "react";
import Slider from "react-slick";

interface SliderProps {
  children: React.ReactNode; 
}
export default function SimpleSlider({children}: SliderProps) {
  var settings = {
    dots: true,
    infinite: true,
    slidesToShow: 1,
    slidesToScroll: 1,
    autoplay: true,
    speed: 2000,
    autoplaySpeed: 2000,
    cssEase: "linear",
    pauseOnHover: true,
    nextArrow: <></>,
    prevArrow: <></>
  };
  return (
    <div className="slider-container">
       <Slider {...settings}>
      {children}
        </Slider>
    </div>
   
  );
}